<div style="z-index: 10;position: absolute;right: 0;">
    <button mat-button (click)="filter('1D')">1D</button>
    <button mat-button (click)="filter('5D')">5D</button>
    <button mat-button (click)="filter('1M')">1M</button>
    <button mat-button (click)="filter('6M')">6M</button>
    <button mat-button (click)="filter('1Y')">1Y</button>
    <button mat-button (click)="filter('5Y')">5Y</button>
    <button mat-button (click)="filter('MAX')">Max</button>
</div>
<mat-grid-list cols="1" rowHeight="4:1">
    <mat-grid-tile>
        <div echarts [options]="options" (chartInit)="onChartInit($event)"></div>
    </mat-grid-tile>
</mat-grid-list>

<mat-tab-group dynamicHeight>
    <mat-tab label="Summary">
        <app-summary [ticker]="ticker" [stockInfo]="stockInfo"></app-summary>
    </mat-tab>

    <mat-tab label="Details">
        <app-details [ticker]="ticker" [details]="details"></app-details>
    </mat-tab>

    <mat-tab label="Statistics">
        <app-statistics [ticker]="ticker" [stockStatistics]="stockStatistics">
        </app-statistics>
    </mat-tab>

    <mat-tab label="Financials">
        <app-financial [ticker]="ticker"></app-financial>
    </mat-tab>

    <mat-tab label="Technical Analysis">
        <app-technical-analysis [ticker]="ticker"></app-technical-analysis>
    </mat-tab>
</mat-tab-group>